
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:		instack-undercloud
Version:	4.0.0
Release:	11%{?dist}
Summary:	Installation tools to install an undercloud via instack

Group:		Development/Languages
License:	ASL 2.0
Url:		https://github.com/openstack/instack-undercloud
Source0:	https://github.com/openstack/instack-undercloud/archive/%{version}%{?milestone}.tar.gz

#patches_base=+2
Patch0001: 0001-Temporarily-set-e-on-systemd-journald-restart-for-bu.patch
Patch0002: 0002-Set-mariadb-open_files_limit-to-1-unlimited.patch
Patch0003: 0003-Force-rebuild-of-ramdisk-as-part-of-overcloud-full.patch
Patch0004: 0004-Add-a-reload-of-keepalived.patch
Patch0005: 0005-Add-aodh-as-part-of-endpoints-generation.patch
Patch0006: 0006-Add-option-to-enable-introspection-of-UEFI-nodes.patch
Patch0007: 0007-Fix-inspection_enable_uefi-description.patch
Patch0008: 0008-Add-aodh-port-to-filewall-rules.patch
Patch0009: 0009-Aodh-should-use-service-tenant-on-undercloud.patch
Patch0010: 0010-ironic-turn-on-ipxe-timout.patch
Patch0011: 0011-Overcloud-is-not-able-to-deploy-with-the-default-4GB.patch
Patch0012: 0012-Update-Gemfile-to-work-in-gate.patch
Patch0013: 0013-Generate-most-of-the-pystache-context-automatically.patch
Patch0014: 0014-Maintain-quotes-if-present-at-end-of-secure_path.patch
Patch0015: 0015-Increase-swift-proxy-node_timeout.patch
Patch0016: 0016-Fix-ceilometer-auth-url-on-undercloud.patch
Patch0017: 0017-Enable-Aodh-SSL-binding-in-HAproxy-Mitaka-only.patch
Patch0018: 0018-Fix-Aodh-httpd-binding.patch

BuildArch:	noarch

BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  git
Requires:	instack
Requires:	openstack-tripleo
Requires:	openstack-tripleo-heat-templates
Requires:	openstack-tripleo-image-elements
Requires:	redhat-lsb-core
Requires:	policycoreutils-python
Requires:	openstack-heat-templates
Requires:	openstack-tripleo-puppet-elements
Requires:	python-psutil

Requires:	selinux-policy

%description
instack-undercloud is a collection of installation tools to install an
undercloud via python-instack. It contains scripts and elements to complete the
installation.


%prep
%autosetup -S git -n %{name}-%{upstream_version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README.md
%doc LICENSE
%{_datadir}/instack-undercloud
%{_bindir}/instack-*
%{python2_sitelib}/instack_undercloud*

%changelog
* Fri Jul 29 2016 Mike Burns <mburns@redhat.com> 4.0.0-11
- Fix Aodh httpd binding rhbz#1361100

* Thu Jul 28 2016 Pradeep Kilambi <pkilambi@redhat.com> 4.0.0-10
- Enable Aodh SSL binding in HAproxy (Mitaka only)

* Tue Jul 26 2016 Jason Joyce <jjoyce@redhat.com> 4.0.0-9
- Fix ceilometer auth url on undercloud (rhbz#1357925)

* Fri Jul 15 2016 Thierry Vignaud <<tvignaud@redhat.com>> 4.0.0-8
- Increase swift-proxy node_timeout
- Maintain quotes if present at end of secure_path
- Update Gemfile to work in gate
- Generate most of the pystache context automatically

* Wed Jul 13 2016 Thierry Vignaud <<tvignaud@redhat.com>> 4.0.0-7
- Aodh should use service tenant on undercloud (rhbz#1349436)

* Mon Jul 11 2016 Thierry Vignaud <tvignaud@redhat.com> - 4.0.0-6
- ironic: turn on ipxe timout (rhbz#1353368)

* Mon Jun 27 2016 Thierry Vignaud <<tvignaud@redhat.com>> 4.0.0-5
- Overcloud is not able to deploy with the default 4GB of RAM using instack-undercloud

* Mon Jun 20 2016 Mike Burns <mburns@redhat.com> 4.0.0-4
- Fix inspection_enable_uefi description

* Thu Jun 16 2016 Mike Burns <mburns@redhat.com> 4.0.0-3
- Add aodh port to filewall rules

* Fri May 13 2016 Mike Burns <mburns@redhat.com> 4.0.0-2
- Add aodh as part of endpoints generation
- Add a reload of keepalived
- Force rebuild of ramdisk as part of overcloud-full
- Set mariadb open_files_limit to -1 (unlimited)
- Temporarily set +e on systemd-journald restart for +bug/1564471

* Wed Mar 30 2016 RDO <rdo-list@redhat.com> 4.0.0-1
- RC1 Rebuild for Mitaka RC1 
